search for: 7a6c949

Displaying 2 results from an estimated 2 matches for "7a6c949".

Did you mean: 7.63949
2017 Oct 09
1
[PATCH nbdkit] tests/tls: fix qemu-img check
...hence, which to `command` for checking the presence of qemu-img. Also, check that qemu-img actually has the --object option, since the test uses it. --- tests/test-tls.sh | 6 +++++- 1 file changed, 5 insertions(+), 1 deletion(-) diff --git a/tests/test-tls.sh b/tests/test-tls.sh index 73d44fa..7a6c949 100755 --- a/tests/test-tls.sh +++ b/tests/test-tls.sh @@ -40,10 +40,14 @@ if ! ss --version; then echo "$0: 'ss' command not available" exit 77 fi -if ! qemu-img --help; then +if ! command -v qemu-img > /dev/null; then echo "$0: 'qemu-img' command...
2018 Aug 01
1
[PATCH nbdkit] tests: Cancel trap in cleanup function to avoid recursive traps.
.../tests/test-tls-psk.sh @@ -98,6 +98,8 @@ pid="$(cat tls-psk.pid)" cleanup () { status=$? + trap '' INT QUIT TERM EXIT ERR + echo $0: cleanup: exit code $status kill $pid rm -f tls-psk.pid tls-psk.out diff --git a/tests/test-tls.sh b/tests/test-tls.sh index 7a6c949..dcf34a2 100755 --- a/tests/test-tls.sh +++ b/tests/test-tls.sh @@ -92,6 +92,8 @@ pid="$(cat tls.pid)" cleanup () { status=$? + trap '' INT QUIT TERM EXIT ERR + echo $0: cleanup: exit code $status kill $pid rm -f tls.pid tls.out diff --git a/tests/test-zer...